﻿using System;
using System.Collections.Generic;


namespace YOUR_NAMESPACE
{
    public interface IXPushDelegate
    {
        void HitEvent(String eventName);
        void HitTag(String tagName);
        void HitTag(String tagName, String tagValue);
        void OpenInbox();
        void SetSubscription(Boolean sub);
        void SetExternalId(String ext);
        void GetPushList(uint offset, uint limit);
        void MarkPushAsRead(String messageId);

        bool GetSubscription();

        IDictionary<String, String> GetDeviceInfo();
    }
}